./goblint --conf conf/svcomp-validate.json --witness.yaml.unassume /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpv.2023-12-02_00-12-47.files/SV-COMP24_unreach-call/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.yml/witness.yml --witness.yaml.validate /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpv.2023-12-02_00-12-47.files/SV-COMP24_unreach-call/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.yml/witness.yml --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c


--------------------------------------------------------------------------------


[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:568:3-589:3 with factor 1
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
[Info] no thread creation -> disabling thread analyses "race, deadlock, maylocks, symb_locks, thread, threadid, threadJoins, threadreturn, mhp, region"
[Info] Enabled congruence domain.
[Info] Enabled octagon domain ONLY for:
[Info] nomsg, r1, i, count, tmp, key, a, count, j, k, size, i, i___0, j___0, a, top, expression, arg, i2, tmp, r121, r131, r211, r231, r311, r321, r122, r132, newmax, newmax, newmax, cond
[Info] Enabled widening thresholds
[Info] SV-COMP specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
[Info][Witness] cannot unassume entry of type violation_sequence
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:83:5-83:31)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:134:5-134:31)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:185:5-185:31)
[Info][Deadcode] Logical lines of code (LLoC) summary:
  live: 311
  dead: 0
  total lines: 311
[Warning][Deadcode][CWE-571] condition '(int )p21_new == (int )nomsg' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:164:11-164:71)
[Warning][Deadcode][CWE-571] condition '(int )p23_new == (int )nomsg' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:169:11-169:71)
[Warning][Deadcode][CWE-571] condition '(int )p31_new == (int )nomsg' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:215:11-215:71)
[Warning][Deadcode][CWE-571] condition '(int )p32_new == (int )nomsg' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:220:11-220:71)
[Warning][Deadcode][CWE-571] condition '(int )p12_new == (int )nomsg' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:113:11-113:71)
[Warning][Deadcode][CWE-571] condition 'i2 < 6' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:568:10-568:16)
[Warning][Deadcode][CWE-571] condition '(int )p13_new == (int )nomsg' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded/pals_opt-floodmax.3.4.ufo.BOUNDED-6.pals.c:118:11-118:71)
[Info][Witness] witness validation summary:
  confirmed: 0
  unconfirmed: 0
  refuted: 0
  error: 0
  unchecked: 0
  unsupported: 0
  disabled: 0
  total validation entries: 0
SV-COMP result: unknown
